<?php

if( !defined('EVO_MAIN_INIT') ) die( 'Please, do not access this page directly.' );


/**
 * PLUGIN_NAME Email_Subscription_Corner_Popup
 *
 * @package plugins
 */
class email_subscription_corner_popup_plugin extends Plugin
{
	/**
	 * Variables below MUST be overriden by plugin implementations,
	 * either in the subclass declaration or in the subclass constructor.
	 */
	var $name = 'Email Subscription Corner Popup';
	/**
	 * Code, if this is a renderer or pingback plugin.
	 */
	var $code = 'email_subscription_corner_popup';
	var $priority = 10;
	var $version = '1.0';
	var $author = 'BB';
	var $help_url = 'http://www.jqueryscript.net/other/jQuery-Plugin-For-Corner-Popup-While-Scrolling-cornerSlider.html';
	var $number_of_installs = 1;

	var $apply_rendering = 'never';
	var $group = 'ME';


	function PluginVersionChanged( & $params )
	{
		if ( $params['old_version'] != $this->version )
		{
			return true;
		} 
		else
		{
			return false;
		}
	}

	/**
	 * Init
	 *
	 * This gets called after a plugin has been registered/instantiated.
	 */
	function PluginInit( & $params )
	{
		$this->short_desc = $this->T_('b2evolution plugin for Email Subscription Corner Popup');
		$this->long_desc = $this->T_('Plugin created to better suggest users to subscribe to email)');
	}

	/**
	 * Define settings that the plugin uses/provides.
	 */

	function GetDefaultSettings()
	{
		return array(

			'popup_window_height' => array(
				'label' => $this->T_('Popup window height (px)'),
				'type' => 'text',
				'size' => 25,
				'maxlength' => 200,
				'note' => $this->T_('Ex: "119"'),
			),
			
			'popup_window_width' => array(
				'label' => $this->T_('Popup window width (px)'),
				'type' => 'text',
				'size' => 25,
				'maxlength' => 200,
				'note' => $this->T_('Ex: "269"'),
			),
			
			'border_color' => array(
				'label' => $this->T_('Border color'),
				'type' => 'text',
				'size' => 25,
				'maxlength' => 200,
				'note' => $this->T_('Ex: "#b3b3b3"'),
			),
			
			'background_color' => array(
				'label' => $this->T_('Background color'),
				'type' => 'text',
				'size' => 25,
				'maxlength' => 200,
				'note' => $this->T_('Ex: "#34BC9D'),
			),

		);
	}

	function get_widget_param_definitions( $params ) 
    { 
    	global $baseurl, $plugins_subdir;
      	
      	$r = array( 
	  			'slider_content' => array(
					'label' => T_('Slider Content'),
					'note' => T_(''),
					'type' => 'html_textarea',
				),
			);

      	return $r;
     }

	/**
	 * Head text
	 */
	function SkinBeginHtmlHead() 
	{
		require_js( '#jquery#', 'blog' );
		require_js( $this->get_plugin_url().'/jquery.cornerslider.js', true );
		require_js( $this->get_plugin_url().'/custom.js', true );

		$css = "
#corner-slider {
  position: fixed;
  z-index: 10000;
  overflow: hidden;
  /*Change to your own dimensions*/
  height: " . $this->Settings->get( 'popup_window_height') . "px;
  width: " . $this->Settings->get( 'popup_window_width') . "px;
  /*Change to your own colors*/
  border: 1px solid " . $this->Settings->get( 'border_color') . ";
  background: " . $this->Settings->get( 'background_color') . ";
}

#corner-slider.hidden { display: none; }

#corner-slider .close {
  position: absolute;
  cursor: pointer;
  font-size: 16px;
  display: inline-block;
  z-index: 1002;
  /*Change here the close button position*/
  right: 24px;
  top: 18px;
  color: #fff;
}";

		add_css_headline($css);
	}

	function SkinTag( $params )
	{
		echo '<div id="corner-slider"><div class="close">X</div>'.$params['slider_content'].'</div>';
	}
} // end Plugin class
?>